# economy_base.h File Reference

Base classes related to the economy. More...

`#include "cargopacket.h"`

Go to the source code of this file.

## Data Structures

struct | CargoPayment
| Helper class to perform the cargo payment. More...

## Defines

#define | FOR_ALL_CARGO_PAYMENTS_FROM(v, start) for (v = GetCargoPayment(start); v != NULL; v = (v->index + 1U < GetCargoPaymentPoolSize()) ? GetCargoPayment(v->index + 1) : NULL) if (v->IsValid())
#define | FOR_ALL_CARGO_PAYMENTS(var) FOR_ALL_CARGO_PAYMENTS_FROM(var, 0)

## Variables

bool | _cargo_payment_savegame
| Whether this savegame is a savegame with cargo payment or not.

## Detailed Description

Base classes related to the economy.

Definition in file economy_base.h.

## Variable Documentation

bool _cargo_payment_savegame

Whether this savegame is a savegame with cargo payment or not.

This is important to know when loading a savegame.

Definition at line 11 of file economy_sl.cpp.